Page MenuHomePhabricator

Make loading progress bar more prominent
Closed, ResolvedPublic

Description

When you click on an embedded query, such as this:

https://query.wikidata.org/embed.html#%23municipalities%20without%20image%0A%23defaultView%3AMap%0A%0ASELECT%20DISTINCT%20%3Fitem%20%3Fcoord%20%3Fkod%0AWHERE%0A%7B%0A%09%3Fitem%20wdt%3AP2788%20%3Fkod%20.%0A%20%20%20%20MINUS%20%7B%3Fitem%20wdt%3AP18%20%3Fimg%20.%7D%0A%20%20%20%20OPTIONAL%20%7B%20%3Fitem%20wdt%3AP625%20%3Fcoord%20.%20%7D%0A%7D

You first get to a page with a logo and wait until the result is loaded.

I think many visitors just close the window before it loads. It would be great if there was some explanation, such as "Inializing... please wait" or something.

What do you think?

Event Timeline

Restricted Application added projects: Wikidata, Discovery. · View Herald TranscriptOct 13 2016, 3:22 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

It shows 'Loading' and a progress bar on top.
Does it need to be more obvious?

I guess. I only noticed now.

I could make it more prominent.

That would be fantastic :-)

Jonas renamed this task from Add "Initializing..." to the embedded query loading logo to Make loading progress bar more prominent.Oct 14 2016, 4:04 PM
Jonas moved this task from Proposed to Review on the Wikidata-Sprint-2016-10-12 board.

Change 315969 had a related patch set uploaded (by Jonas Kress (WMDE)):
Make loading progress bar more prominent

https://gerrit.wikimedia.org/r/315969

Change 315969 merged by jenkins-bot:
Make loading progress bar more prominent

https://gerrit.wikimedia.org/r/315969

Change 316006 had a related patch set uploaded (by Smalyshev):
Merging from eb6d2182ea51ab407a2f7d5d9a293553d8df79b4:

https://gerrit.wikimedia.org/r/316006

Jonas closed this task as Resolved.Oct 15 2016, 9:29 AM
Jonas moved this task from Review to Done on the Wikidata-Sprint-2016-10-12 board.
thiemowmde removed a project: Patch-For-Review.
thiemowmde moved this task from incoming to in progress on the Wikidata board.